Kerbal Space Program - Bug #9349

Medium and large landing legs' colliders are shorter than the legs
04/20/2016 03:34 PM - grey_ghost

Status: Duplicate Start date: 04/20/2016
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

The real physical length of the legs is less than the length of the 3D model, particularly with the medium legs. This makes it difficult
or impossible to tell whether your legs are long enough in the editor. And there may be some engines that would work for landers if
not for the unavailability of long enough legs.

Also, it just looks bad with the feet buried in the ground.

Screenshots show how much leg ends up clipped into the ground. A screenshot of the small legs, which do not exhibit the problem,
is included for comparison.

History

#1 - 04/20/2016 03:37 PM - grey_ghost
Oops, this is essentially a dupe of #9338. Should have looked at the recent bugs.

#2 - 04/21/2016 05:16 AM - orcaman98
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Do you get the same popping thing when raising and lowering? It seems to me like the collider is correct during the animation, and only wrong when
locked at full extension. | don't suppose that's the sort of thing likely to be different between Windows and Linux, but I'd still be interested to hear.

#3 - 04/21/2016 02:42 PM - grey_ghost

Yes, the length seems to be correct near the end of the animation, and extending/retracting the legs while landed launches the lander up into the air.
| didn't mention that because it wasn't something I'd expect to be able to do safely.
